[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# CurrToStrF

Format a currency to a string

## Declaration

Source position: sysstrh.inc line 178

`function CurrToStrF(`
`Value: Currency;`
`Format: TFloatFormat;`
`Digits: Integer`
`):string; function CurrToStrF(`
`Value: Currency;`
`Format: TFloatFormat;`
`Digits: Integer;`
`const FormatSettings: TFormatSettings`
`):string;`

## Description

CurrToStrF formats the currency Value according to the value in Format, using the number of digits specified in Digits, and a precision of 19. This function simply calls FloatToStrF.

Note that on unix systems, the localization support must be enabled explicitly, see Localization.

## See also

FloatToStrF |  | Convert a float value to a string using a given format.
Localization |  | Localization support